﻿unit HeaderFooterFormwithNavigation;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Graphics, FMX.Forms, FMX.Dialogs, FMX.TabControl,
  System.Actions, FMX.ActnList, FMX.StdCtrls, Data.DBXDataSnap, IPPeerClient,
  Data.DBXCommon, FMX.ListView.Types, System.Rtti, System.Bindings.Outputs,
  Fmx.Bind.Editors, Data.Bind.EngExt, Fmx.Bind.DBEngExt, Data.Bind.Components,
  Data.Bind.DBScope, Data.DB, Datasnap.DBClient, Datasnap.DSConnect,
  FMX.ListView, Data.SqlExpr, FMX.Layouts, FMX.Memo;

type
  THeaderFooterwithNavigation = class(TForm)
    TabControl1: TTabControl;
    TabItem1: TTabItem;
    TabItem2: TTabItem;
    TopToolBar: TToolBar;
    ToolBarLabel: TLabel;
    TopToolBar1: TToolBar;
    ToolBarLabel1: TLabel;
    btnBack: TButton;
    ActionList1: TActionList;
    ChangeTabAction1: TChangeTabAction;
    ChangeTabAction2: TChangeTabAction;
    BottomToolBar: TToolBar;
    btnNext: TSpeedButton;
    btnConnect: TButton;
    SQLConnection1: TSQLConnection;
    ListView1: TListView;
    DSProviderConnection1: TDSProviderConnection;
    ClientDataSet1: TClientDataSet;
    ClientDataSet1BehandelCategorie: TAutoIncField;
    ClientDataSet1Naam: TWideStringField;
    ClientDataSet1ADODataSet2: TDataSetField;
    BindSourceDB1: TBindSourceDB;
    BindingsList1: TBindingsList;
    LinkFillControlToField1: TLinkFillControlToField;
    Memo1: TMemo;
    btnSave: TButton;
    btnLoad: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormKeyUp(Sender: TObject; var Key: Word; var KeyChar: Char;
      Shift: TShiftState);
    procedure btnConnectClick(Sender: TObject);
    procedure btnSaveClick(Sender: TObject);
    procedure btnLoadClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  HeaderFooterwithNavigation: THeaderFooterwithNavigation;

implementation
uses
  System.IOUtils;


{$R *.fmx}
procedure THeaderFooterwithNavigation.btnConnectClick(Sender: TObject);
begin
//  ShowMessage('Hello, Leiden');
  ClientDataSet1.Open; // will open SQLConnection1
  ClientDataSet1.SaveToFile(TPath.GetLibraryPath +
    '/behandelingen.cds');
  SQLConnection1.Close;
end;

procedure THeaderFooterwithNavigation.btnLoadClick(Sender: TObject);
begin
  ClientDataSet1.loadfromFile(TPath.GetLibraryPath +
    '/behandelingen.cds');
end;

procedure THeaderFooterwithNavigation.btnSaveClick(Sender: TObject);
begin
  Memo1.Text := TPath.GetHomePath;
  memo1.Lines.Add(TPath.GetLibraryPath);
  ClientDataSet1.SaveToFile(TPath.GetLibraryPath +
    '/behandelingen.cds');
end;

procedure THeaderFooterwithNavigation.FormCreate(Sender: TObject);
begin
  { This defines the default active tab at runtime }
  TabControl1.ActiveTab := TabItem1;
{$IFDEF ANDROID}
  { This hides the toolbar back button on Android }
  btnBack.Visible := False;
{$ENDIF}
end;

procedure THeaderFooterwithNavigation.FormKeyUp(Sender: TObject; var Key: Word;
  var KeyChar: Char; Shift: TShiftState);
begin
  if Key = vkHardwareBack then
  begin
    if TabControl1.ActiveTab = TabItem2 then
    begin
      ChangeTabAction1.Tab := TabItem1;
      ChangeTabAction1.ExecuteTarget(Self);
      ChangeTabAction1.Tab := TabItem2;
      Key := 0;
    end;
  end;
end;

end.
